Subject: Re: Is there some articles discussing how to change bare-board code to linux driver?

From: "David H. Lynch Jr" <[email-masked]>
Date: Tue, 29 Nov 2005 21:03:36 -0500

Where can I find the ./drivers/net/xilinx_enet, ... etc files.
I can not find them in the 2.6.14.2 tree

T Ziomek wrote:
>>    Where can i find them?thanks.
>
> In addition to LDD3 (for 2.6 kernels, or the freely available LDD2 for 
> 2.4 kernels), you might want to look at some existing Linux drivers 
> that are
> based on "bare metal" / "no OS" drivers.  The ones I know of are for 
> Xilinx
> peripherals, for example (within the Linux kernel tree),
> - ./drivers/net/xilinx_enet
> - ./drivers/char/xilinx_uartlite
> - ./drivers/char/xilinx_gpio
>
> Tom